// API 响应数据接口
export interface ApiResponse<T = any> {
  code: number
  message: string
  data: T
}

// 分页请求参数接口
export interface PageParams {
  page: number
  pageSize: number
  [key: string]: any
}

// 分页响应数据接口
export interface PageResult<T> {
  list: T[]
  total: number
  page: number
  pageSize: number
} 