import {
  Monitor,
  VideoPlay,
  Stamp,
  Van,
  Bowl,
  Microphone,
  Calendar,
  Connection,
  User,
  Lock,
  ShoppingCart,
  Service,
  ChatDotRound,
  Bell,
  Headset,
  SetUp,
  Promotion
} from '@element-plus/icons-vue'

export const menuItems = [
  {
    title: '数据大屏',
    icon: Monitor,
    path: '/dashboard'
  },
  {
    title: '视频服务',
    icon: VideoPlay,
    path: '/video'
  },
  {
    title: '医疗服务',
    icon: Stamp,
    path: '/medical'
  },
  {
    title: '出行服务',
    icon: Van,
    path: '/transportation'
  },
  {
    title: '饮食服务',
    icon: Bowl,
    path: '/diet'
  },
  {
    title: '语音助手',
    icon: Microphone,
    path: '/voice-assistant'
  },
  {
    title: '活动中心',
    icon: Calendar,
    path: '/activities'
  },
  {
    title: '设备管理',
    icon: Connection,
    path: '/devices'
  },
  {
    title: '生活服务',
    icon: Service,
    path: '/life-service'
  },
  {
    title: '社区交流',
    icon: ChatDotRound,
    path: '/community'
  },
  {
    title: '新闻资讯',
    icon: Bell,
    path: '/news'
  },
  {
    title: '音乐欣赏',
    icon: Headset,
    path: '/music'
  },
  {
    title: '智能助手',
    icon: SetUp,
    path: '/ai-assistant'
  },
  {
    title: '学习娱乐',
    icon: Promotion,
    path: '/entertainment'
  },
  {
    title: '个人中心',
    icon: User,
    path: '/profile'
  },
  {
    title: '安全中心',
    icon: Lock,
    path: '/security'
  },
  {
    title: '智慧商城',
    icon: ShoppingCart,
    path: '/shop'
  }
]

// 可选：添加子菜单配置
export const subMenus = {
  shop: [
    {
      title: '全部商品',
      path: '/shop'
    },
    {
      title: '购物车',
      path: '/shop/cart'
    },
    {
      title: '我的订单',
      path: '/shop/orders'
    }
  ]
} 